# Uses of Class
org.eclipse.gef.geometry.planar.Arc

Packages that use Arc
Package
Description
org.eclipse.gef.geometry.planar
This package provides support for geometric calculations based on shapes.

## Uses of Arc in org.eclipse.gef.geometry.planar

Methods in org.eclipse.gef.geometry.planar that return Arc
Modifier and Type
Method
Description
`Arc`
RoundedRectangle.`getBottomLeftArc()`
Returns the bottom left `Arc` of this `RoundedRectangle`.
`Arc`
RoundedRectangle.`getBottomRightArc()`
Returns the bottom right `Arc` of this `RoundedRectangle`.
`Arc`
Arc.`getCopy()`
`Arc`
RoundedRectangle.`getTopLeftArc()`
Returns the top left `Arc` of this `RoundedRectangle`.
`Arc`
RoundedRectangle.`getTopRightArc()`
Returns the top right `Arc` of this `RoundedRectangle`.
Constructors in org.eclipse.gef.geometry.planar with parameters of type Arc
Modifier
Constructor
Description
``
`Pie(Arc arc)`
Constructs a new `Pie` from the given `Arc`.